apply plugin: 'com.android.library'

android {
//    compileSdkVersion 23
//    buildToolsVersion '21.1.2'
    compileSdkVersion rootProject.ext.android["compileSdkVersion"]
    buildToolsVersion rootProject.ext.android["buildToolsVersion"]
    defaultConfig {
        targetSdkVersion 22
        minSdkVersion 14
        ndk {
            abiFilters 'armeabi-v7a'    //只生成armv7的so
        }
    }
    buildFeatures {
        aidl true
    }
    sourceSets {
        main {
            manifest.srcFile 'AndroidManifest.xml'
            java.srcDirs = ['src']
            resources.srcDirs = ['src']
            aidl.srcDirs = ['src']
            renderscript.srcDirs = ['src']
            res.srcDirs = ['res']
            assets.srcDirs = ['assets']
            jniLibs.srcDirs = ['libs']
        }
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.txt'
        }

        debug {
            jniDebuggable true
            debuggable true
        }

        yufabu {
            jniDebuggable true
            debuggable true
        }
    }




}

repositories {
    flatDir {
        dirs 'libs'
    }
}

dependencies {
    compile files('libs/microlog4android-1.1.jar')
    compile fileTree(dir: 'libs', include: ['*.jar'])
    compile files('libs/log4j-1.2.17.jar')
    compile files('libs/android-logging-log4j-1.0.3.jar')

    compile files('libs/SerialPort.jar')

    implementation 'com.squareup.retrofit2:converter-gson:2.4.0'


    implementation 'androidx.appcompat:appcompat:1.0.2'//1.1.0
    implementation 'com.google.android.material:material:1.1.0'
    implementation 'androidx.constraintlayout:constraintlayout:1.1.3'
    implementation 'androidx.localbroadcastmanager:localbroadcastmanager:1.0.0'
//    implementation 'com.google.android:support-v4:r7'

}

buildscript {
    repositories {
        jcenter()
    }
    dependencies {
        classpath 'com.android.tools.build:gradle:2.0.0'
    }
}

